svn commit: samba r7434 - in branches/SAMBA_4_0/source/script/tests: .

metze at samba.org metze at samba.org
Thu Jun 9 09:48:43 GMT 2005


Author: metze
Date: 2005-06-09 09:48:43 +0000 (Thu, 09 Jun 2005)
New Revision: 7434

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7434

Log:
- do local tests step by step for better build-farm output
- fix typo ADDARGS -> ADDARG

metze
Added:
   branches/SAMBA_4_0/source/script/tests/test_local.sh
Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-09 09:46:46 UTC (rev 7433)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-09 09:48:43 UTC (rev 7434)
@@ -46,7 +46,7 @@
 
 ADDARG="-s $CONFFILE"
 if [ x"$RUN_FROM_BUILD_FARM" = x"yes" ];then
-	ADDARGS="$ADDARGS --option=\"torture:progress=no\""
+	ADDARG="$ADDARG --option=\"torture:progress=no\""
 fi
 
 SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
@@ -70,7 +70,7 @@
  $SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/bin/smbtorture $ADDARG ncalrpc: LOCAL-* || failed=`expr $failed + 1`
+ $SRCDIR/script/tests/test_local.sh $ADDARG || failed=`expr $failed + $?`
  exit $failed
 ) 9>$SMBD_TEST_FIFO
 failed=$?

Added: branches/SAMBA_4_0/source/script/tests/test_local.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_local.sh	2005-06-09 09:46:46 UTC (rev 7433)
+++ branches/SAMBA_4_0/source/script/tests/test_local.sh	2005-06-09 09:48:43 UTC (rev 7434)
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+local_tests="LOCAL-NTLMSSP LOCAL-ICONV LOCAL-TALLOC LOCAL-MESSAGING LOCAL-IRPC LOCAL-BINDING LOCAL-IDTREE LOCAL-SOCKET"
+
+if [ $# -lt 0 ]; then
+cat <<EOF
+Usage: test_local.sh
+EOF
+exit 1;
+fi
+
+if [ -z "$VALGRIND" ]; then
+    export MALLOC_CHECK_=2
+fi
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+for t in $local_tests; do
+	name="$t"
+	testit "$name" $VALGRIND bin/smbtorture ncalrpc: $t "$*" || failed=`expr $failed + 1`
+done
+
+testok $0 $failed


Property changes on: branches/SAMBA_4_0/source/script/tests/test_local.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list